Subject: bug#24628: GNUtls initialization adds 500ms to startup --- do we really need it just for the RNG?

From: John Wiegley <[email-masked]>
Date: Fri, 07 Oct 2016 00:49:37 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

> However, my objections were evidently not enough to revert back, although
> you agreed with me:
>   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22202#118

Thanks for the references. Let's revert this change for 25.2 until the stated
problem (entropy exhaustion) becomes a real problem, i.e. reported by a user.

There is no reason to make everyone pay a 1/2 second startup cost for a
theoretical problem, or a code simplification whose benefits are so minor.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2